<?php
/**
 * Show messages
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/notices/success.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.9.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! $notices ) {
	return;
}

?>

<?php foreach ( $notices as $notice ) : ?>
	<div class="alert alert-success alert-with-icon alert-dismissible fade show box-shadow" role="alert">
		<div class="alert-icon-box">
			<i class="alert-icon czi-security-check"></i>
		</div>
		<button type="button" class="close" data-dismiss="alert" aria-label="<?php echo esc_html_x( 'Close', 'front-end', 'cartzilla' ); ?>">
			<span aria-hidden="true">&times;</span>
		</button>
		<span class="font-size-ms woocommerce-message"<?php echo wc_get_notice_data_attr( $notice ); ?> role="alert">
			<?php echo wc_kses_notice( $notice['notice'] ); ?>
		</span>
	</div>
<?php endforeach; ?>


